###############################################################################
#
# EchoLink module event handlers
# schaltet LED an gpio11 ein bei aktiviertem Modul Echolink
# ueberschreibt EchoLink.tcl:
# - proc activating_module
# - proc deactivating_module
#
###############################################################################

namespace eval EchoLink {

#
# Executed when this module is being activated
#
proc activating_module {} {
  variable module_name;
  Module::activating_module $module_name;
  puts "EL-LED wird eingeschaltet";
  exec echo 1 > /sys/class/gpio/gpio11/value;
}


#
# Executed when this module is being deactivated.
#
proc deactivating_module {} {
  variable module_name;
  Module::deactivating_module $module_name;
  puts "EL-LED wird abgeschaltet";
  exec echo 0 > /sys/class/gpio/gpio11/value;
}

# end of namespace
}
